DCMTK - Bug #689

Unspecified behavior of ofstd_thread test under OS X, OpenBSD and FreeBSD
2016-07-18 11:37 - Jan Schlamelcher

Status: Closed Start date: 2016-07-18
Priority: High Due date:

Assignee: Thorben Hasenpusch % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.6.1

Module: ofstd Compiler:

Operating System: OS X, OpenBSD, FreeBSD

Description

The test randomly fails and succeeds under OS X (and perhaps FreeBSD, but this might aswell be a different problem).

See this forum post for a possible cause and idea how to fix it.

History

#1 - 2016-07-20 12:15 - Jan Schlamelcher

- Subject changed from Unspecified behavior of ofstd_thread test under OS X to Unspecified behavior of ofstd_thread test under OS X, OpenBSD and
FreeBSD

- Status changed from New to Closed
- % Done changed from 0 to 100
- Operating System changed from OS X to OS X, OpenBSD, FreeBSD

Fixed in commit a5336ef. The dashboard shows that this also fixed the problems under OpenBSD and FreeBSD!
http://forum.dcmtk.org/viewtopic.php?f=1&t=4436&p=17805#p17805
http://git.dcmtk.org/?p=dcmtk.git;a=commitdiff;h=a5336efe122eba1b74164a84f9f04f6e5a6f19b7
http://www.tcpdf.org

